Main Page Widgets Namespaces Book

# Gtk::HButtonBox Class Reference
[Widgets, Container Widgets]

A container for arranging buttons horizontally. More...

Inheritance diagram for Gtk::HButtonBox:

[legend]
List of all members.

## Public Member Functions

virtual | ~HButtonBox ()
GtkHButtonBox* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkHButtonBox* | gobj () const
| Provides access to the underlying C GtkObject.
| HButtonBox (ButtonBoxStyle layout=BUTTONBOX_DEFAULT_STYLE, int spacing=BUTTONBOX_DEFAULT)

## Related Functions

(Note that these are not member functions.)
Gtk::HButtonBox* | wrap (GtkHButtonBox* object, bool take_copy=false)

## Detailed Description

A container for arranging buttons horizontally.

A button box should be used to provide a consistent layout of buttons throughout your application. There is one default layout and a default spacing value that are persistant across all Gtk::HButtonBox widgets.

The layout/spacing can then be altered by the programmer, or if desired, by the user to alter the 'feel' of a program to a small degree.

Examples:

  thread/dispatcher.cc.

## Constructor & Destructor Documentation

virtual Gtk::HButtonBox::~HButtonBox | ( |  | ) | `[virtual]`

Gtk::HButtonBox::HButtonBox | ( | ButtonBoxStyle | layout = BUTTONBOX_DEFAULT_STYLE,
|  | int | spacing = BUTTONBOX_DEFAULT
| ) | `[explicit]`

## Member Function Documentation

const GtkHButtonBox* Gtk::HButtonBox::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::ButtonBox.

GtkHButtonBox* Gtk::HButtonBox::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::ButtonBox.

## Friends And Related Function Documentation

Gtk::HButtonBox* wrap | ( | GtkHButtonBox* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- buttonbox.h